import * as tailwind_factory_dist from 'tailwind-factory/dist';
import * as react from 'react';
import { ComponentProps } from 'react';
import { PrismTheme } from 'prism-react-renderer';

declare const HighlightContainer: ((props: react.ClassAttributes<HTMLDivElement> & react.HTMLAttributes<HTMLDivElement> & Partial<tailwind_factory_dist.FactoryExtractKeys<{
    full: {
        true: string;
        false: string;
    };
}>> & Required<Omit<tailwind_factory_dist.FactoryExtractKeys<{
    full: {
        true: string;
        false: string;
    };
}>, "full">>) => JSX.Element) & {
    __extends: <NewType extends tailwind_factory_dist.FactoryElement | null, NewStyleVariants, NewDefaultStyleVariants, NewDefaultStyleVariantsScheme extends tailwind_factory_dist.FactoryExtractKeys<tailwind_factory_dist.FactoryExtractRequiredKeysAndValues<{
        full: {
            true: string;
            false: string;
        };
    }> & NewStyleVariants>>(newElement?: NewType | undefined, newStyles?: string | undefined, newConfig?: tailwind_factory_dist.StyledElementOptions<NewStyleVariants & tailwind_factory_dist.FactoryExtractKeysAndValues<{
        full: {
            true: string;
            false: string;
        };
    }>, NewDefaultStyleVariants, NewDefaultStyleVariantsScheme> | undefined) => ((props: (NewType extends tailwind_factory_dist.FactoryElement ? react.ComponentProps<NewType> : react.DetailedHTMLProps<react.HTMLAttributes<HTMLDivElement>, HTMLDivElement>) & (NewDefaultStyleVariants extends infer C_1 ? Partial<{
        full: {
            true: string;
            false: string;
        };
    } & NewStyleVariants extends infer U_1 ? tailwind_factory_dist.FactoryExtractKeys<U_1> : any> & Required<Omit<{
        full: {
            true: string;
            false: string;
        };
    } & NewStyleVariants extends infer U_1_1 ? tailwind_factory_dist.FactoryExtractKeys<U_1_1> : any, "full" | keyof C_1>> : {
        full: {
            true: string;
            false: string;
        };
    } & NewStyleVariants extends infer U_1_2 ? tailwind_factory_dist.FactoryExtractKeys<U_1_2> : any)) => JSX.Element) & {
        __extends: any;
    };
};

declare const tokens: readonly ["char", "cdata", "doctype", "entity", "class-name", "boolean", "property", "function", "mayble-class-name", "method", "function-variable", "variable", "attr-name", "punctuation", "operator", "markup", "tag", "atrule", "deleted", "selector", "url", "string", "attr-value", "template-punctuation", "constant", "number", "builtin", "changed", "keyword", "interpolation-punctuation", "comment", "inserted", "important", "content", "null", "prolog", "blockquote", "hr", "code-snippet", "italic", "bold", "strike", "list", "title", "property-line", "property-declaration", "hexcode", "unit", "macro", "directive-hash", String];

type HighlightLanguageInput = [
  "markup",
  "Markup",
  "html",
  "xml",
  "svg",
  "mathml",
  "ssml",
  "atom",
  "rss",
  "css",
  "CSS",
  "clike",
  "C-like",
  "javascript",
  "JavaScript",
  "js",
  "abap",
  "ABAP",
  "abnf",
  "ABNF",
  "actionscript",
  "ActionScript",
  "ada",
  "Ada",
  "agda",
  "Agda",
  "al",
  "AL",
  "antlr4",
  "ANTLR4",
  "g4",
  "apacheconf",
  "Apache Configuration",
  "apex",
  "Apex",
  "apl",
  "APL",
  "applescript",
  "AppleScript",
  "aql",
  "AQL",
  "arduino",
  "Arduino",
  "ino",
  "arff",
  "ARFF",
  "armasm",
  "ARM Assembly",
  "arm-asm",
  "arturo",
  "Arturo",
  "art",
  "asciidoc",
  "adoc",
  "AsciiDoc",
  "aspnet",
  "ASP.NET (C#)",
  "asm6502",
  "6502 Assembly",
  "asmatmel",
  "Atmel AVR Assembly",
  "autohotkey",
  "AutoHotkey",
  "autoit",
  "AutoIt",
  "avisynth",
  "AviSynth",
  "avs",
  "avro-idl",
  "Avro IDL",
  "avdl",
  "awk",
  "AWK",
  "gawk",
  "bash",
  "Bash",
  "sh",
  "shell",
  "basic",
  "BASIC",
  "batch",
  "Batch",
  "bbcode",
  "BBcode",
  "shortcode",
  "bbj",
  "BBj",
  "bicep",
  "Bicep",
  "birb",
  "Birb",
  "bison",
  "Bison",
  "bnf",
  "BNF",
  "rbnf",
  "bqn",
  "BQN",
  "brainfuck",
  "Brainfuck",
  "brightscript",
  "BrightScript",
  "bro",
  "Bro",
  "bsl",
  "BSL (1C:Enterprise)",
  "oscript",
  "c",
  "C",
  "csharp",
  "C#",
  "cs",
  "dotnet",
  "cpp",
  "C++",
  "cfscript",
  "CFScript",
  "cfc",
  "chaiscript",
  "ChaiScript",
  "cil",
  "CIL",
  "cilkc",
  "Cilk/C",
  "cilk-c",
  "cilkcpp",
  "Cilk/C++",
  "cilk-cpp",
  "cilk",
  "clojure",
  "Clojure",
  "cmake",
  "CMake",
  "cobol",
  "COBOL",
  "coffeescript",
  "CoffeeScript",
  "coffee",
  "concurnas",
  "Concurnas",
  "conc",
  "csp",
  "Content-Security-Policy",
  "cooklang",
  "Cooklang",
  "coq",
  "Coq",
  "crystal",
  "Crystal",
  "css-extras",
  "CSS Extras",
  "csv",
  "CSV",
  "cue",
  "CUE",
  "cypher",
  "Cypher",
  "d",
  "D",
  "dart",
  "Dart",
  "dataweave",
  "DataWeave",
  "dax",
  "DAX",
  "dhall",
  "Dhall",
  "diff",
  "Diff",
  "django",
  "Django/Jinja2",
  "jinja2",
  "dns-zone-file",
  "DNS zone file",
  "dns-zone",
  "docker",
  "Docker",
  "dockerfile",
  "dot",
  "DOT (Graphviz)",
  "gv",
  "ebnf",
  "EBNF",
  "editorconfig",
  "EditorConfig",
  "eiffel",
  "Eiffel",
  "ejs",
  "EJS",
  "eta",
  "elixir",
  "Elixir",
  "elm",
  "Elm",
  "etlua",
  "Embedded Lua templating",
  "erb",
  "ERB",
  "erlang",
  "Erlang",
  "excel-formula",
  "Excel Formula",
  "xlsx",
  "xls",
  "fsharp",
  "F#",
  "factor",
  "Factor",
  "false",
  "False",
  "firestore-security-rules",
  "Firestore security rules",
  "flow",
  "Flow",
  "fortran",
  "Fortran",
  "ftl",
  "FreeMarker Template Language",
  "gml",
  "GameMaker Language",
  "gamemakerlanguage",
  "gap",
  "GAP (CAS)",
  "gcode",
  "G-code",
  "gdscript",
  "GDScript",
  "gedcom",
  "GEDCOM",
  "gettext",
  "gettext",
  "po",
  "gherkin",
  "Gherkin",
  "git",
  "Git",
  "glsl",
  "GLSL",
  "gn",
  "GN",
  "gni",
  "linker-script",
  "GNU Linker Script",
  "ld",
  "go",
  "Go",
  "go-module",
  "Go module",
  "go-mod",
  "gradle",
  "Gradle",
  "graphql",
  "GraphQL",
  "groovy",
  "Groovy",
  "haml",
  "Haml",
  "handlebars",
  "Handlebars",
  "hbs",
  "mustache",
  "haskell",
  "Haskell",
  "hs",
  "haxe",
  "Haxe",
  "hcl",
  "HCL",
  "hlsl",
  "HLSL",
  "hoon",
  "Hoon",
  "http",
  "HTTP",
  "hpkp",
  "HTTP Public-Key-Pins",
  "hsts",
  "HTTP Strict-Transport-Security",
  "ichigojam",
  "IchigoJam",
  "icon",
  "Icon",
  "icu-message-format",
  "ICU Message Format",
  "idris",
  "Idris",
  "idr",
  "ignore",
  ".ignore",
  "gitignore",
  "hgignore",
  "npmignore",
  "inform7",
  "Inform 7",
  "ini",
  "Ini",
  "io",
  "Io",
  "j",
  "J",
  "java",
  "Java",
  "javadoc",
  "JavaDoc",
  "javadoclike",
  "JavaDoc-like",
  "javastacktrace",
  "Java stack trace",
  "jexl",
  "Jexl",
  "jolie",
  "Jolie",
  "jq",
  "JQ",
  "jsdoc",
  "JSDoc",
  "js-extras",
  "JS Extras",
  "json",
  "JSON",
  "webmanifest",
  "json5",
  "JSON5",
  "jsonp",
  "JSONP",
  "jsstacktrace",
  "JS stack trace",
  "js-templates",
  "JS Templates",
  "julia",
  "Julia",
  "keepalived",
  "Keepalived Configure",
  "keyman",
  "Keyman",
  "kotlin",
  "Kotlin",
  "kt",
  "kts",
  "kumir",
  "KuMir (КуМир)",
  "kum",
  "kusto",
  "Kusto",
  "latex",
  "LaTeX",
  "tex",
  "context",
  "latte",
  "Latte",
  "less",
  "Less",
  "lilypond",
  "LilyPond",
  "ly",
  "liquid",
  "Liquid",
  "lisp",
  "Lisp",
  "emacs",
  "elisp",
  "emacs-lisp",
  "livescript",
  "LiveScript",
  "llvm",
  "LLVM IR",
  "log",
  "Log file",
  "lolcode",
  "LOLCODE",
  "lua",
  "Lua",
  "magma",
  "Magma (CAS)",
  "makefile",
  "Makefile",
  "markdown",
  "Markdown",
  "md",
  "markup-templating",
  "Markup templating",
  "mata",
  "Mata",
  "matlab",
  "MATLAB",
  "maxscript",
  "MAXScript",
  "mel",
  "MEL",
  "mermaid",
  "Mermaid",
  "metafont",
  "METAFONT",
  "mizar",
  "Mizar",
  "mongodb",
  "MongoDB",
  "monkey",
  "Monkey",
  "moonscript",
  "MoonScript",
  "moon",
  "n1ql",
  "N1QL",
  "n4js",
  "N4JS",
  "n4jsd",
  "nand2tetris-hdl",
  "Nand To Tetris HDL",
  "naniscript",
  "Naninovel Script",
  "nani",
  "nasm",
  "NASM",
  "neon",
  "NEON",
  "nevod",
  "Nevod",
  "nginx",
  "nginx",
  "nim",
  "Nim",
  "nix",
  "Nix",
  "nsis",
  "NSIS",
  "objectivec",
  "Objective-C",
  "objc",
  "ocaml",
  "OCaml",
  "odin",
  "Odin",
  "opencl",
  "OpenCL",
  "openqasm",
  "OpenQasm",
  "qasm",
  "oz",
  "Oz",
  "parigp",
  "PARI/GP",
  "parser",
  "Parser",
  "pascal",
  "Pascal",
  "objectpascal",
  "pascaligo",
  "Pascaligo",
  "psl",
  "PATROL Scripting Language",
  "pcaxis",
  "PC-Axis",
  "px",
  "peoplecode",
  "PeopleCode",
  "pcode",
  "perl",
  "Perl",
  "php",
  "PHP",
  "phpdoc",
  "PHPDoc",
  "php-extras",
  "PHP Extras",
  "plant-uml",
  "PlantUML",
  "plantuml",
  "plsql",
  "PL/SQL",
  "powerquery",
  "PowerQuery",
  "pq",
  "mscript",
  "powershell",
  "PowerShell",
  "processing",
  "Processing",
  "prolog",
  "Prolog",
  "promql",
  "PromQL",
  "properties",
  ".properties",
  "protobuf",
  "Protocol Buffers",
  "pug",
  "Pug",
  "puppet",
  "Puppet",
  "pure",
  "Pure",
  "purebasic",
  "PureBasic",
  "pbfasm",
  "purescript",
  "PureScript",
  "purs",
  "python",
  "Python",
  "py",
  "qsharp",
  "Q#",
  "qs",
  "q",
  "Q (kdb+ database)",
  "qml",
  "QML",
  "qore",
  "Qore",
  "r",
  "R",
  "racket",
  "Racket",
  "rkt",
  "cshtml",
  "Razor C#",
  "razor",
  "jsx",
  "React JSX",
  "tsx",
  "React TSX",
  "reason",
  "Reason",
  "regex",
  "Regex",
  "rego",
  "Rego",
  "renpy",
  "Ren'py",
  "rpy",
  "rescript",
  "ReScript",
  "res",
  "rest",
  "reST (reStructuredText)",
  "rip",
  "Rip",
  "roboconf",
  "Roboconf",
  "robotframework",
  "Robot Framework",
  "robot",
  "ruby",
  "Ruby",
  "rb",
  "rust",
  "Rust",
  "sas",
  "SAS",
  "sass",
  "Sass (Sass)",
  "scss",
  "Sass (SCSS)",
  "scala",
  "Scala",
  "scheme",
  "Scheme",
  "shell-session",
  "Shell session",
  "sh-session",
  "shellsession",
  "smali",
  "Smali",
  "smalltalk",
  "Smalltalk",
  "smarty",
  "Smarty",
  "sml",
  "SML",
  "smlnj",
  "solidity",
  "Solidity (Ethereum)",
  "sol",
  "solution-file",
  "Solution file",
  "sln",
  "soy",
  "Soy (Closure Template)",
  "sparql",
  "SPARQL",
  "rq",
  "splunk-spl",
  "Splunk SPL",
  "sqf",
  "SQF: Status Quo Function (Arma 3)",
  "sql",
  "SQL",
  "squirrel",
  "Squirrel",
  "stan",
  "Stan",
  "stata",
  "Stata Ado",
  "iecst",
  "Structured Text (IEC 61131-3)",
  "stylus",
  "Stylus",
  "supercollider",
  "SuperCollider",
  "sclang",
  "swift",
  "Swift",
  "systemd",
  "Systemd configuration file",
  "t4-templating",
  "T4 templating",
  "t4-cs",
  "T4 Text Templates (C#)",
  "t4",
  "t4-vb",
  "T4 Text Templates (VB)",
  "tap",
  "TAP",
  "tcl",
  "Tcl",
  "tt2",
  "Template Toolkit 2",
  "textile",
  "Textile",
  "toml",
  "TOML",
  "tremor",
  "Tremor",
  "trickle",
  "troy",
  "turtle",
  "Turtle",
  "trig",
  "twig",
  "Twig",
  "typescript",
  "TypeScript",
  "ts",
  "typoscript",
  "TypoScript",
  "tsconfig",
  "unrealscript",
  "UnrealScript",
  "uscript",
  "uc",
  "uorazor",
  "UO Razor Script",
  "uri",
  "URI",
  "url",
  "v",
  "V",
  "vala",
  "Vala",
  "vbnet",
  "VB.Net",
  "velocity",
  "Velocity",
  "verilog",
  "Verilog",
  "vhdl",
  "VHDL",
  "vim",
  "vim",
  "visual-basic",
  "Visual Basic",
  "vb",
  "vba",
  "warpscript",
  "WarpScript",
  "wasm",
  "WebAssembly",
  "web-idl",
  "Web IDL",
  "webidl",
  "wgsl",
  "WGSL",
  "wiki",
  "Wiki markup",
  "wolfram",
  "Wolfram language",
  "mathematica",
  "nb",
  "wl",
  "wren",
  "Wren",
  "xeora",
  "Xeora",
  "xeoracube",
  "xml-doc",
  "XML doc (.net)",
  "xojo",
  "Xojo (REALbasic)",
  "xquery",
  "XQuery",
  "yaml",
  "YAML",
  "yml",
  "yang",
  "YANG",
  "zig",
  "Zig"
][number];

type HighlightLanguageComponent = [
  "markup",
  "css",
  "clike",
  "javascript",
  "abap",
  "abnf",
  "actionscript",
  "ada",
  "agda",
  "al",
  "antlr4",
  "apacheconf",
  "apex",
  "apl",
  "applescript",
  "aql",
  "arduino",
  "arff",
  "armasm",
  "arturo",
  "asciidoc",
  "aspnet",
  "asm6502",
  "asmatmel",
  "autohotkey",
  "autoit",
  "avisynth",
  "avro-idl",
  "awk",
  "bash",
  "basic",
  "batch",
  "bbcode",
  "bbj",
  "bicep",
  "birb",
  "bison",
  "bnf",
  "bqn",
  "brainfuck",
  "brightscript",
  "bro",
  "bsl",
  "c",
  "csharp",
  "cpp",
  "cfscript",
  "chaiscript",
  "cil",
  "cilkc",
  "cilkcpp",
  "clojure",
  "cmake",
  "cobol",
  "coffeescript",
  "concurnas",
  "csp",
  "cooklang",
  "coq",
  "crystal",
  "css-extras",
  "csv",
  "cue",
  "cypher",
  "d",
  "dart",
  "dataweave",
  "dax",
  "dhall",
  "diff",
  "django",
  "dns-zone-file",
  "docker",
  "dot",
  "ebnf",
  "editorconfig",
  "eiffel",
  "ejs",
  "elixir",
  "elm",
  "etlua",
  "erb",
  "erlang",
  "excel-formula",
  "fsharp",
  "factor",
  "false",
  "firestore-security-rules",
  "flow",
  "fortran",
  "ftl",
  "gml",
  "gap",
  "gcode",
  "gdscript",
  "gedcom",
  "gettext",
  "gherkin",
  "git",
  "glsl",
  "gn",
  "linker-script",
  "go",
  "go-module",
  "gradle",
  "graphql",
  "groovy",
  "haml",
  "handlebars",
  "haskell",
  "haxe",
  "hcl",
  "hlsl",
  "hoon",
  "http",
  "hpkp",
  "hsts",
  "ichigojam",
  "icon",
  "icu-message-format",
  "idris",
  "ignore",
  "inform7",
  "ini",
  "io",
  "j",
  "java",
  "javadoc",
  "javadoclike",
  "javastacktrace",
  "jexl",
  "jolie",
  "jq",
  "jsdoc",
  "js-extras",
  "json",
  "json5",
  "jsonp",
  "jsstacktrace",
  "js-templates",
  "julia",
  "keepalived",
  "keyman",
  "kotlin",
  "kumir",
  "kusto",
  "latex",
  "latte",
  "less",
  "lilypond",
  "liquid",
  "lisp",
  "livescript",
  "llvm",
  "log",
  "lolcode",
  "lua",
  "magma",
  "makefile",
  "markdown",
  "markup-templating",
  "mata",
  "matlab",
  "maxscript",
  "mel",
  "mermaid",
  "metafont",
  "mizar",
  "mongodb",
  "monkey",
  "moonscript",
  "n1ql",
  "n4js",
  "nand2tetris-hdl",
  "naniscript",
  "nasm",
  "neon",
  "nevod",
  "nginx",
  "nim",
  "nix",
  "nsis",
  "objectivec",
  "ocaml",
  "odin",
  "opencl",
  "openqasm",
  "oz",
  "parigp",
  "parser",
  "pascal",
  "pascaligo",
  "psl",
  "pcaxis",
  "peoplecode",
  "perl",
  "php",
  "phpdoc",
  "php-extras",
  "plant-uml",
  "plsql",
  "powerquery",
  "powershell",
  "processing",
  "prolog",
  "promql",
  "properties",
  "protobuf",
  "pug",
  "puppet",
  "pure",
  "purebasic",
  "purescript",
  "python",
  "qsharp",
  "q",
  "qml",
  "qore",
  "r",
  "racket",
  "cshtml",
  "jsx",
  "tsx",
  "reason",
  "regex",
  "rego",
  "renpy",
  "rescript",
  "rest",
  "rip",
  "roboconf",
  "robotframework",
  "ruby",
  "rust",
  "sas",
  "sass",
  "scss",
  "scala",
  "scheme",
  "shell-session",
  "smali",
  "smalltalk",
  "smarty",
  "sml",
  "solidity",
  "solution-file",
  "soy",
  "sparql",
  "splunk-spl",
  "sqf",
  "sql",
  "squirrel",
  "stan",
  "stata",
  "iecst",
  "stylus",
  "supercollider",
  "swift",
  "systemd",
  "t4-templating",
  "t4-cs",
  "t4-vb",
  "tap",
  "tcl",
  "tt2",
  "textile",
  "toml",
  "tremor",
  "turtle",
  "twig",
  "typescript",
  "typoscript",
  "unrealscript",
  "uorazor",
  "uri",
  "v",
  "vala",
  "vbnet",
  "velocity",
  "verilog",
  "vhdl",
  "vim",
  "visual-basic",
  "warpscript",
  "wasm",
  "web-idl",
  "wgsl",
  "wiki",
  "wolfram",
  "wren",
  "xeora",
  "xml-doc",
  "xojo",
  "xquery",
  "yaml",
  "yang",
  "zig"
][number];

type HighlightThemePlain = PrismTheme["plain"] & {
    numbersColor?: string;
    numbersBackgroundColor?: string;
    numbersBorderColor?: string;
    srollbarThumbColor?: string;
    scrollbarTrackColor?: string;
};
type HighlightThemeStyle = {
    types: (typeof tokens)[number][];
    style: PrismTheme["styles"][number]["style"];
    languages?: (HighlightLanguageComponent | String)[];
};
interface HighlightTheme extends Omit<PrismTheme, "styles"> {
    plain: HighlightThemePlain;
    styles: HighlightThemeStyle[];
}
declare class HighlightCustomTheme implements HighlightTheme {
    plain: HighlightThemePlain;
    styles: HighlightThemeStyle[];
    constructor(plain: HighlightThemePlain, styles?: HighlightThemeStyle[]);
    static extends(theme: HighlightTheme, plain: HighlightThemePlain, styles?: HighlightThemeStyle[]): HighlightCustomTheme;
}

declare const themes: {
    oneDark: HighlightCustomTheme;
    dracula: HighlightTheme;
    duotoneDark: HighlightTheme;
    duotoneLight: HighlightTheme;
    github: HighlightTheme;
    nightOwl: HighlightTheme;
    nightOwlLight: HighlightTheme;
    oceanicNext: HighlightTheme;
    palenight: HighlightTheme;
    okaidia: HighlightTheme;
    shadesOfPurple: HighlightTheme;
    synthwave84: HighlightTheme;
    ultramin: HighlightTheme;
    vsDark: HighlightTheme;
    vsLight: HighlightTheme;
};

type HighligthPluginDetails = {
    author: string;
    repository?: string;
    description?: string;
    version?: string;
};
type HighligthPluginKitData = {
    type: "kit";
    details: HighligthPluginDetails;
    language: HighlightLanguageComponent;
    theme: HighlightTheme;
};
type HighligthPluginThemeData = {
    type: "theme";
    details: HighligthPluginDetails;
    theme: HighlightTheme;
};
type HighligthPluginLanguageData = {
    type: "language";
    details: HighligthPluginDetails;
    language: HighlightLanguageComponent;
};
type HighligthPluginData = HighligthPluginKitData | HighligthPluginThemeData | HighligthPluginLanguageData;
declare class HighligthPlugin {
    plugin: HighligthPluginData;
    constructor(plugin: HighligthPluginData);
}

declare function getAllLanguagesInputs(): string[];
declare function getAllLanguagesComponents(): string[];

declare function getComponents(): {
    core: {
        meta: {
            path: string;
            option: string;
        };
        core: string;
    };
    themes: {
        meta: {
            path: string;
            link: string;
            exclusive: boolean;
        };
        prism: {
            title: string;
            option: string;
        };
        "prism-dark": string;
        "prism-funky": string;
        "prism-okaidia": {
            title: string;
            owner: string;
        };
        "prism-twilight": {
            title: string;
            owner: string;
        };
        "prism-coy": {
            title: string;
            owner: string;
        };
        "prism-solarizedlight": {
            title: string;
            owner: string;
        };
        "prism-tomorrow": {
            title: string;
            owner: string;
        };
    };
    languages: {
        meta: {
            path: string;
            noCSS: boolean;
            examplesPath: string;
            addCheckAll: boolean;
        };
        markup: {
            title: string;
            alias: string[];
            aliasTitles: {
                html: string;
                xml: string;
                svg: string;
                mathml: string;
                ssml: string;
                atom: string;
                rss: string;
            };
            option: string;
        };
        css: {
            title: string;
            option: string;
            modify: string;
        };
        clike: {
            title: string;
            option: string;
        };
        javascript: {
            title: string;
            require: string;
            modify: string;
            optional: string;
            alias: string;
            option: string;
        };
        abap: {
            title: string;
            owner: string;
        };
        abnf: {
            title: string;
            owner: string;
        };
        actionscript: {
            title: string;
            require: string;
            modify: string;
            owner: string;
        };
        ada: {
            title: string;
            owner: string;
        };
        agda: {
            title: string;
            owner: string;
        };
        al: {
            title: string;
            owner: string;
        };
        antlr4: {
            title: string;
            alias: string;
            owner: string;
        };
        apacheconf: {
            title: string;
            owner: string;
        };
        apex: {
            title: string;
            require: string[];
            owner: string;
        };
        apl: {
            title: string;
            owner: string;
        };
        applescript: {
            title: string;
            owner: string;
        };
        aql: {
            title: string;
            owner: string;
        };
        arduino: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        arff: {
            title: string;
            owner: string;
        };
        armasm: {
            title: string;
            alias: string;
            owner: string;
        };
        arturo: {
            title: string;
            alias: string;
            optional: string[];
            owner: string;
        };
        asciidoc: {
            alias: string;
            title: string;
            owner: string;
        };
        aspnet: {
            title: string;
            require: string[];
            owner: string;
        };
        asm6502: {
            title: string;
            owner: string;
        };
        asmatmel: {
            title: string;
            owner: string;
        };
        autohotkey: {
            title: string;
            owner: string;
        };
        autoit: {
            title: string;
            owner: string;
        };
        avisynth: {
            title: string;
            alias: string;
            owner: string;
        };
        "avro-idl": {
            title: string;
            alias: string;
            owner: string;
        };
        awk: {
            title: string;
            alias: string;
            aliasTitles: {
                gawk: string;
            };
            owner: string;
        };
        bash: {
            title: string;
            alias: string[];
            aliasTitles: {
                sh: string;
                shell: string;
            };
            owner: string;
        };
        basic: {
            title: string;
            owner: string;
        };
        batch: {
            title: string;
            owner: string;
        };
        bbcode: {
            title: string;
            alias: string;
            aliasTitles: {
                shortcode: string;
            };
            owner: string;
        };
        bbj: {
            title: string;
            owner: string;
        };
        bicep: {
            title: string;
            owner: string;
        };
        birb: {
            title: string;
            require: string;
            owner: string;
        };
        bison: {
            title: string;
            require: string;
            owner: string;
        };
        bnf: {
            title: string;
            alias: string;
            aliasTitles: {
                rbnf: string;
            };
            owner: string;
        };
        bqn: {
            title: string;
            owner: string;
        };
        brainfuck: {
            title: string;
            owner: string;
        };
        brightscript: {
            title: string;
            owner: string;
        };
        bro: {
            title: string;
            owner: string;
        };
        bsl: {
            title: string;
            alias: string;
            aliasTitles: {
                oscript: string;
            };
            owner: string;
        };
        c: {
            title: string;
            require: string;
            owner: string;
        };
        csharp: {
            title: string;
            require: string;
            alias: string[];
            owner: string;
        };
        cpp: {
            title: string;
            require: string;
            owner: string;
        };
        cfscript: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        chaiscript: {
            title: string;
            require: string[];
            owner: string;
        };
        cil: {
            title: string;
            owner: string;
        };
        cilkc: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        cilkcpp: {
            title: string;
            require: string;
            alias: string[];
            owner: string;
        };
        clojure: {
            title: string;
            owner: string;
        };
        cmake: {
            title: string;
            owner: string;
        };
        cobol: {
            title: string;
            owner: string;
        };
        coffeescript: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        concurnas: {
            title: string;
            alias: string;
            owner: string;
        };
        csp: {
            title: string;
            owner: string;
        };
        cooklang: {
            title: string;
            owner: string;
        };
        coq: {
            title: string;
            owner: string;
        };
        crystal: {
            title: string;
            require: string;
            owner: string;
        };
        "css-extras": {
            title: string;
            require: string;
            modify: string;
            owner: string;
        };
        csv: {
            title: string;
            owner: string;
        };
        cue: {
            title: string;
            owner: string;
        };
        cypher: {
            title: string;
            owner: string;
        };
        d: {
            title: string;
            require: string;
            owner: string;
        };
        dart: {
            title: string;
            require: string;
            owner: string;
        };
        dataweave: {
            title: string;
            owner: string;
        };
        dax: {
            title: string;
            owner: string;
        };
        dhall: {
            title: string;
            owner: string;
        };
        diff: {
            title: string;
            owner: string;
        };
        django: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        "dns-zone-file": {
            title: string;
            owner: string;
            alias: string;
        };
        docker: {
            title: string;
            alias: string;
            owner: string;
        };
        dot: {
            title: string;
            alias: string;
            optional: string;
            owner: string;
        };
        ebnf: {
            title: string;
            owner: string;
        };
        editorconfig: {
            title: string;
            owner: string;
        };
        eiffel: {
            title: string;
            owner: string;
        };
        ejs: {
            title: string;
            require: string[];
            owner: string;
            alias: string;
            aliasTitles: {
                eta: string;
            };
        };
        elixir: {
            title: string;
            owner: string;
        };
        elm: {
            title: string;
            owner: string;
        };
        etlua: {
            title: string;
            require: string[];
            owner: string;
        };
        erb: {
            title: string;
            require: string[];
            owner: string;
        };
        erlang: {
            title: string;
            owner: string;
        };
        "excel-formula": {
            title: string;
            alias: string[];
            owner: string;
        };
        fsharp: {
            title: string;
            require: string;
            owner: string;
        };
        factor: {
            title: string;
            owner: string;
        };
        false: {
            title: string;
            owner: string;
        };
        "firestore-security-rules": {
            title: string;
            require: string;
            owner: string;
        };
        flow: {
            title: string;
            require: string;
            owner: string;
        };
        fortran: {
            title: string;
            owner: string;
        };
        ftl: {
            title: string;
            require: string;
            owner: string;
        };
        gml: {
            title: string;
            alias: string;
            require: string;
            owner: string;
        };
        gap: {
            title: string;
            owner: string;
        };
        gcode: {
            title: string;
            owner: string;
        };
        gdscript: {
            title: string;
            owner: string;
        };
        gedcom: {
            title: string;
            owner: string;
        };
        gettext: {
            title: string;
            alias: string;
            owner: string;
        };
        gherkin: {
            title: string;
            owner: string;
        };
        git: {
            title: string;
            owner: string;
        };
        glsl: {
            title: string;
            require: string;
            owner: string;
        };
        gn: {
            title: string;
            alias: string;
            owner: string;
        };
        "linker-script": {
            title: string;
            alias: string;
            owner: string;
        };
        go: {
            title: string;
            require: string;
            owner: string;
        };
        "go-module": {
            title: string;
            alias: string;
            owner: string;
        };
        gradle: {
            title: string;
            require: string;
            owner: string;
        };
        graphql: {
            title: string;
            optional: string;
            owner: string;
        };
        groovy: {
            title: string;
            require: string;
            owner: string;
        };
        haml: {
            title: string;
            require: string;
            optional: string[];
            owner: string;
        };
        handlebars: {
            title: string;
            require: string;
            alias: string[];
            aliasTitles: {
                mustache: string;
            };
            owner: string;
        };
        haskell: {
            title: string;
            alias: string;
            owner: string;
        };
        haxe: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        hcl: {
            title: string;
            owner: string;
        };
        hlsl: {
            title: string;
            require: string;
            owner: string;
        };
        hoon: {
            title: string;
            owner: string;
        };
        http: {
            title: string;
            optional: string[];
            owner: string;
        };
        hpkp: {
            title: string;
            owner: string;
        };
        hsts: {
            title: string;
            owner: string;
        };
        ichigojam: {
            title: string;
            owner: string;
        };
        icon: {
            title: string;
            owner: string;
        };
        "icu-message-format": {
            title: string;
            owner: string;
        };
        idris: {
            title: string;
            alias: string;
            owner: string;
            require: string;
        };
        ignore: {
            title: string;
            owner: string;
            alias: string[];
            aliasTitles: {
                gitignore: string;
                hgignore: string;
                npmignore: string;
            };
        };
        inform7: {
            title: string;
            owner: string;
        };
        ini: {
            title: string;
            owner: string;
        };
        io: {
            title: string;
            owner: string;
        };
        j: {
            title: string;
            owner: string;
        };
        java: {
            title: string;
            require: string;
            owner: string;
        };
        javadoc: {
            title: string;
            require: string[];
            modify: string;
            optional: string;
            owner: string;
        };
        javadoclike: {
            title: string;
            modify: string[];
            owner: string;
        };
        javastacktrace: {
            title: string;
            owner: string;
        };
        jexl: {
            title: string;
            owner: string;
        };
        jolie: {
            title: string;
            require: string;
            owner: string;
        };
        jq: {
            title: string;
            owner: string;
        };
        jsdoc: {
            title: string;
            require: string[];
            modify: string;
            optional: string[];
            owner: string;
        };
        "js-extras": {
            title: string;
            require: string;
            modify: string;
            optional: string[];
            owner: string;
        };
        json: {
            title: string;
            alias: string;
            aliasTitles: {
                webmanifest: string;
            };
            owner: string;
        };
        json5: {
            title: string;
            require: string;
            owner: string;
        };
        jsonp: {
            title: string;
            require: string;
            owner: string;
        };
        jsstacktrace: {
            title: string;
            owner: string;
        };
        "js-templates": {
            title: string;
            require: string;
            modify: string;
            optional: string[];
            owner: string;
        };
        julia: {
            title: string;
            owner: string;
        };
        keepalived: {
            title: string;
            owner: string;
        };
        keyman: {
            title: string;
            owner: string;
        };
        kotlin: {
            title: string;
            alias: string[];
            aliasTitles: {
                kts: string;
            };
            require: string;
            owner: string;
        };
        kumir: {
            title: string;
            alias: string;
            owner: string;
        };
        kusto: {
            title: string;
            owner: string;
        };
        latex: {
            title: string;
            alias: string[];
            aliasTitles: {
                tex: string;
                context: string;
            };
            owner: string;
        };
        latte: {
            title: string;
            require: string[];
            owner: string;
        };
        less: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        lilypond: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        liquid: {
            title: string;
            require: string;
            owner: string;
        };
        lisp: {
            title: string;
            alias: string[];
            owner: string;
        };
        livescript: {
            title: string;
            owner: string;
        };
        llvm: {
            title: string;
            owner: string;
        };
        log: {
            title: string;
            optional: string;
            owner: string;
        };
        lolcode: {
            title: string;
            owner: string;
        };
        lua: {
            title: string;
            owner: string;
        };
        magma: {
            title: string;
            owner: string;
        };
        makefile: {
            title: string;
            owner: string;
        };
        markdown: {
            title: string;
            require: string;
            optional: string;
            alias: string;
            owner: string;
        };
        "markup-templating": {
            title: string;
            require: string;
            owner: string;
        };
        mata: {
            title: string;
            owner: string;
        };
        matlab: {
            title: string;
            owner: string;
        };
        maxscript: {
            title: string;
            owner: string;
        };
        mel: {
            title: string;
            owner: string;
        };
        mermaid: {
            title: string;
            owner: string;
        };
        metafont: {
            title: string;
            owner: string;
        };
        mizar: {
            title: string;
            owner: string;
        };
        mongodb: {
            title: string;
            owner: string;
            require: string;
        };
        monkey: {
            title: string;
            owner: string;
        };
        moonscript: {
            title: string;
            alias: string;
            owner: string;
        };
        n1ql: {
            title: string;
            owner: string;
        };
        n4js: {
            title: string;
            require: string;
            optional: string;
            alias: string;
            owner: string;
        };
        "nand2tetris-hdl": {
            title: string;
            owner: string;
        };
        naniscript: {
            title: string;
            owner: string;
            alias: string;
        };
        nasm: {
            title: string;
            owner: string;
        };
        neon: {
            title: string;
            owner: string;
        };
        nevod: {
            title: string;
            owner: string;
        };
        nginx: {
            title: string;
            owner: string;
        };
        nim: {
            title: string;
            owner: string;
        };
        nix: {
            title: string;
            owner: string;
        };
        nsis: {
            title: string;
            owner: string;
        };
        objectivec: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        ocaml: {
            title: string;
            owner: string;
        };
        odin: {
            title: string;
            owner: string;
        };
        opencl: {
            title: string;
            require: string;
            modify: string[];
            owner: string;
        };
        openqasm: {
            title: string;
            alias: string;
            owner: string;
        };
        oz: {
            title: string;
            owner: string;
        };
        parigp: {
            title: string;
            owner: string;
        };
        parser: {
            title: string;
            require: string;
            owner: string;
        };
        pascal: {
            title: string;
            alias: string;
            aliasTitles: {
                objectpascal: string;
            };
            owner: string;
        };
        pascaligo: {
            title: string;
            owner: string;
        };
        psl: {
            title: string;
            owner: string;
        };
        pcaxis: {
            title: string;
            alias: string;
            owner: string;
        };
        peoplecode: {
            title: string;
            alias: string;
            owner: string;
        };
        perl: {
            title: string;
            owner: string;
        };
        php: {
            title: string;
            require: string;
            owner: string;
        };
        phpdoc: {
            title: string;
            require: string[];
            modify: string;
            owner: string;
        };
        "php-extras": {
            title: string;
            require: string;
            modify: string;
            owner: string;
        };
        "plant-uml": {
            title: string;
            alias: string;
            owner: string;
        };
        plsql: {
            title: string;
            require: string;
            owner: string;
        };
        powerquery: {
            title: string;
            alias: string[];
            owner: string;
        };
        powershell: {
            title: string;
            owner: string;
        };
        processing: {
            title: string;
            require: string;
            owner: string;
        };
        prolog: {
            title: string;
            owner: string;
        };
        promql: {
            title: string;
            owner: string;
        };
        properties: {
            title: string;
            owner: string;
        };
        protobuf: {
            title: string;
            require: string;
            owner: string;
        };
        pug: {
            title: string;
            require: string[];
            optional: string[];
            owner: string;
        };
        puppet: {
            title: string;
            owner: string;
        };
        pure: {
            title: string;
            optional: string[];
            owner: string;
        };
        purebasic: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        purescript: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        python: {
            title: string;
            alias: string;
            owner: string;
        };
        qsharp: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        q: {
            title: string;
            owner: string;
        };
        qml: {
            title: string;
            require: string;
            owner: string;
        };
        qore: {
            title: string;
            require: string;
            owner: string;
        };
        r: {
            title: string;
            owner: string;
        };
        racket: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        cshtml: {
            title: string;
            alias: string;
            require: string[];
            optional: string[];
            owner: string;
        };
        jsx: {
            title: string;
            require: string[];
            optional: string[];
            owner: string;
        };
        tsx: {
            title: string;
            require: string[];
        };
        reason: {
            title: string;
            require: string;
            owner: string;
        };
        regex: {
            title: string;
            owner: string;
        };
        rego: {
            title: string;
            owner: string;
        };
        renpy: {
            title: string;
            alias: string;
            owner: string;
        };
        rescript: {
            title: string;
            alias: string;
            owner: string;
        };
        rest: {
            title: string;
            owner: string;
        };
        rip: {
            title: string;
            owner: string;
        };
        roboconf: {
            title: string;
            owner: string;
        };
        robotframework: {
            title: string;
            alias: string;
            owner: string;
        };
        ruby: {
            title: string;
            require: string;
            alias: string;
            owner: string;
        };
        rust: {
            title: string;
            owner: string;
        };
        sas: {
            title: string;
            optional: string[];
            owner: string;
        };
        sass: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        scss: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        scala: {
            title: string;
            require: string;
            owner: string;
        };
        scheme: {
            title: string;
            owner: string;
        };
        "shell-session": {
            title: string;
            require: string;
            alias: string[];
            owner: string;
        };
        smali: {
            title: string;
            owner: string;
        };
        smalltalk: {
            title: string;
            owner: string;
        };
        smarty: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        sml: {
            title: string;
            alias: string;
            aliasTitles: {
                smlnj: string;
            };
            owner: string;
        };
        solidity: {
            title: string;
            alias: string;
            require: string;
            owner: string;
        };
        "solution-file": {
            title: string;
            alias: string;
            owner: string;
        };
        soy: {
            title: string;
            require: string;
            owner: string;
        };
        sparql: {
            title: string;
            require: string;
            owner: string;
            alias: string;
        };
        "splunk-spl": {
            title: string;
            owner: string;
        };
        sqf: {
            title: string;
            require: string;
            owner: string;
        };
        sql: {
            title: string;
            owner: string;
        };
        squirrel: {
            title: string;
            require: string;
            owner: string;
        };
        stan: {
            title: string;
            owner: string;
        };
        stata: {
            title: string;
            require: string[];
            owner: string;
        };
        iecst: {
            title: string;
            owner: string;
        };
        stylus: {
            title: string;
            owner: string;
        };
        supercollider: {
            title: string;
            alias: string;
            owner: string;
        };
        swift: {
            title: string;
            owner: string;
        };
        systemd: {
            title: string;
            owner: string;
        };
        "t4-templating": {
            title: string;
            owner: string;
        };
        "t4-cs": {
            title: string;
            require: string[];
            alias: string;
            owner: string;
        };
        "t4-vb": {
            title: string;
            require: string[];
            owner: string;
        };
        tap: {
            title: string;
            owner: string;
            require: string;
        };
        tcl: {
            title: string;
            owner: string;
        };
        tt2: {
            title: string;
            require: string[];
            owner: string;
        };
        textile: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        toml: {
            title: string;
            owner: string;
        };
        tremor: {
            title: string;
            alias: string[];
            owner: string;
            aliasTitles: {
                trickle: string;
                troy: string;
            };
        };
        turtle: {
            title: string;
            alias: string;
            aliasTitles: {
                trig: string;
            };
            owner: string;
        };
        twig: {
            title: string;
            require: string;
            owner: string;
        };
        typescript: {
            title: string;
            require: string;
            optional: string;
            alias: string;
            owner: string;
        };
        typoscript: {
            title: string;
            alias: string;
            aliasTitles: {
                tsconfig: string;
            };
            owner: string;
        };
        unrealscript: {
            title: string;
            alias: string[];
            owner: string;
        };
        uorazor: {
            title: string;
            owner: string;
        };
        uri: {
            title: string;
            alias: string;
            aliasTitles: {
                url: string;
            };
            owner: string;
        };
        v: {
            title: string;
            require: string;
            owner: string;
        };
        vala: {
            title: string;
            require: string;
            optional: string;
            owner: string;
        };
        vbnet: {
            title: string;
            require: string;
            owner: string;
        };
        velocity: {
            title: string;
            require: string;
            owner: string;
        };
        verilog: {
            title: string;
            owner: string;
        };
        vhdl: {
            title: string;
            owner: string;
        };
        vim: {
            title: string;
            owner: string;
        };
        "visual-basic": {
            title: string;
            alias: string[];
            aliasTitles: {
                vba: string;
            };
            owner: string;
        };
        warpscript: {
            title: string;
            owner: string;
        };
        wasm: {
            title: string;
            owner: string;
        };
        "web-idl": {
            title: string;
            alias: string;
            owner: string;
        };
        wgsl: {
            title: string;
            owner: string;
        };
        wiki: {
            title: string;
            require: string;
            owner: string;
        };
        wolfram: {
            title: string;
            alias: string[];
            aliasTitles: {
                mathematica: string;
                nb: string;
            };
            owner: string;
        };
        wren: {
            title: string;
            owner: string;
        };
        xeora: {
            title: string;
            require: string;
            alias: string;
            aliasTitles: {
                xeoracube: string;
            };
            owner: string;
        };
        "xml-doc": {
            title: string;
            require: string;
            modify: string[];
            owner: string;
        };
        xojo: {
            title: string;
            owner: string;
        };
        xquery: {
            title: string;
            require: string;
            owner: string;
        };
        yaml: {
            title: string;
            alias: string;
            owner: string;
        };
        yang: {
            title: string;
            owner: string;
        };
        zig: {
            title: string;
            owner: string;
        };
    };
    plugins: {
        meta: {
            path: string;
            link: string;
        };
        "line-highlight": {
            title: string;
            description: string;
        };
        "line-numbers": {
            title: string;
            description: string;
            owner: string;
        };
        "show-invisibles": {
            title: string;
            description: string;
            optional: string[];
        };
        autolinker: {
            title: string;
            description: string;
        };
        wpd: {
            title: string;
            description: string;
        };
        "custom-class": {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
        };
        "file-highlight": {
            title: string;
            description: string;
            noCSS: boolean;
        };
        "show-language": {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
            require: string;
        };
        "jsonp-highlight": {
            title: string;
            description: string;
            noCSS: boolean;
            owner: string;
        };
        "highlight-keywords": {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
        };
        "remove-initial-line-feed": {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
        };
        "inline-color": {
            title: string;
            description: string;
            require: string;
            owner: string;
        };
        previewers: {
            title: string;
            description: string;
            require: string;
            owner: string;
        };
        autoloader: {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
        };
        "keep-markup": {
            title: string;
            description: string;
            owner: string;
            optional: string;
            noCSS: boolean;
        };
        "command-line": {
            title: string;
            description: string;
            owner: string;
        };
        "unescaped-markup": {
            title: string;
            description: string;
        };
        "normalize-whitespace": {
            title: string;
            description: string;
            owner: string;
            optional: string;
            noCSS: boolean;
        };
        "data-uri-highlight": {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
        };
        toolbar: {
            title: string;
            description: string;
            owner: string;
        };
        "copy-to-clipboard": {
            title: string;
            description: string;
            owner: string;
            require: string;
            noCSS: boolean;
        };
        "download-button": {
            title: string;
            description: string;
            owner: string;
            require: string;
            noCSS: boolean;
        };
        "match-braces": {
            title: string;
            description: string;
            owner: string;
        };
        "diff-highlight": {
            title: string;
            description: string;
            owner: string;
            require: string;
        };
        "filter-highlight-all": {
            title: string;
            description: string;
            owner: string;
            noCSS: boolean;
        };
        treeview: {
            title: string;
            description: string;
            owner: string;
        };
    };
};

type HighlightDefaultLanguage = HighlightLanguageInput | String;
type HighlightDefaultTheme = keyof typeof themes;

interface HighlightProps extends ComponentProps<typeof HighlightContainer> {
    children: string;
    theme?: HighlightDefaultTheme | HighlightTheme;
    language?: HighlightDefaultLanguage;
    showNumbers?: boolean;
    showNumbersBorder?: boolean;
    numbersContainerClassName?: string;
    numbersClassName?: string;
    plugins?: HighligthPlugin[];
}

declare function Highlight({ children, theme, language, showNumbers, showNumbersBorder, numbersContainerClassName, numbersClassName, plugins, ...rest }: HighlightProps): JSX.Element;

export { HighlightCustomTheme, HighlightDefaultTheme, HighlightLanguageInput, HighlightProps, HighlightTheme, HighlightThemePlain, HighlightThemeStyle, HighligthPluginDetails, HighligthPluginKitData, HighligthPluginLanguageData, HighligthPluginThemeData, Highlight as default, getAllLanguagesComponents, getAllLanguagesInputs, getComponents, themes };
