export type HighlightLanguageInput = [
  "markup",
  "Markup",
  "html",
  "xml",
  "svg",
  "mathml",
  "ssml",
  "atom",
  "rss",
  "css",
  "CSS",
  "clike",
  "C-like",
  "javascript",
  "JavaScript",
  "js",
  "abap",
  "ABAP",
  "abnf",
  "ABNF",
  "actionscript",
  "ActionScript",
  "ada",
  "Ada",
  "agda",
  "Agda",
  "al",
  "AL",
  "antlr4",
  "ANTLR4",
  "g4",
  "apacheconf",
  "Apache Configuration",
  "apex",
  "Apex",
  "apl",
  "APL",
  "applescript",
  "AppleScript",
  "aql",
  "AQL",
  "arduino",
  "Arduino",
  "ino",
  "arff",
  "ARFF",
  "armasm",
  "ARM Assembly",
  "arm-asm",
  "arturo",
  "Arturo",
  "art",
  "asciidoc",
  "adoc",
  "AsciiDoc",
  "aspnet",
  "ASP.NET (C#)",
  "asm6502",
  "6502 Assembly",
  "asmatmel",
  "Atmel AVR Assembly",
  "autohotkey",
  "AutoHotkey",
  "autoit",
  "AutoIt",
  "avisynth",
  "AviSynth",
  "avs",
  "avro-idl",
  "Avro IDL",
  "avdl",
  "awk",
  "AWK",
  "gawk",
  "bash",
  "Bash",
  "sh",
  "shell",
  "basic",
  "BASIC",
  "batch",
  "Batch",
  "bbcode",
  "BBcode",
  "shortcode",
  "bbj",
  "BBj",
  "bicep",
  "Bicep",
  "birb",
  "Birb",
  "bison",
  "Bison",
  "bnf",
  "BNF",
  "rbnf",
  "bqn",
  "BQN",
  "brainfuck",
  "Brainfuck",
  "brightscript",
  "BrightScript",
  "bro",
  "Bro",
  "bsl",
  "BSL (1C:Enterprise)",
  "oscript",
  "c",
  "C",
  "csharp",
  "C#",
  "cs",
  "dotnet",
  "cpp",
  "C++",
  "cfscript",
  "CFScript",
  "cfc",
  "chaiscript",
  "ChaiScript",
  "cil",
  "CIL",
  "cilkc",
  "Cilk/C",
  "cilk-c",
  "cilkcpp",
  "Cilk/C++",
  "cilk-cpp",
  "cilk",
  "clojure",
  "Clojure",
  "cmake",
  "CMake",
  "cobol",
  "COBOL",
  "coffeescript",
  "CoffeeScript",
  "coffee",
  "concurnas",
  "Concurnas",
  "conc",
  "csp",
  "Content-Security-Policy",
  "cooklang",
  "Cooklang",
  "coq",
  "Coq",
  "crystal",
  "Crystal",
  "css-extras",
  "CSS Extras",
  "csv",
  "CSV",
  "cue",
  "CUE",
  "cypher",
  "Cypher",
  "d",
  "D",
  "dart",
  "Dart",
  "dataweave",
  "DataWeave",
  "dax",
  "DAX",
  "dhall",
  "Dhall",
  "diff",
  "Diff",
  "django",
  "Django/Jinja2",
  "jinja2",
  "dns-zone-file",
  "DNS zone file",
  "dns-zone",
  "docker",
  "Docker",
  "dockerfile",
  "dot",
  "DOT (Graphviz)",
  "gv",
  "ebnf",
  "EBNF",
  "editorconfig",
  "EditorConfig",
  "eiffel",
  "Eiffel",
  "ejs",
  "EJS",
  "eta",
  "elixir",
  "Elixir",
  "elm",
  "Elm",
  "etlua",
  "Embedded Lua templating",
  "erb",
  "ERB",
  "erlang",
  "Erlang",
  "excel-formula",
  "Excel Formula",
  "xlsx",
  "xls",
  "fsharp",
  "F#",
  "factor",
  "Factor",
  "false",
  "False",
  "firestore-security-rules",
  "Firestore security rules",
  "flow",
  "Flow",
  "fortran",
  "Fortran",
  "ftl",
  "FreeMarker Template Language",
  "gml",
  "GameMaker Language",
  "gamemakerlanguage",
  "gap",
  "GAP (CAS)",
  "gcode",
  "G-code",
  "gdscript",
  "GDScript",
  "gedcom",
  "GEDCOM",
  "gettext",
  "gettext",
  "po",
  "gherkin",
  "Gherkin",
  "git",
  "Git",
  "glsl",
  "GLSL",
  "gn",
  "GN",
  "gni",
  "linker-script",
  "GNU Linker Script",
  "ld",
  "go",
  "Go",
  "go-module",
  "Go module",
  "go-mod",
  "gradle",
  "Gradle",
  "graphql",
  "GraphQL",
  "groovy",
  "Groovy",
  "haml",
  "Haml",
  "handlebars",
  "Handlebars",
  "hbs",
  "mustache",
  "haskell",
  "Haskell",
  "hs",
  "haxe",
  "Haxe",
  "hcl",
  "HCL",
  "hlsl",
  "HLSL",
  "hoon",
  "Hoon",
  "http",
  "HTTP",
  "hpkp",
  "HTTP Public-Key-Pins",
  "hsts",
  "HTTP Strict-Transport-Security",
  "ichigojam",
  "IchigoJam",
  "icon",
  "Icon",
  "icu-message-format",
  "ICU Message Format",
  "idris",
  "Idris",
  "idr",
  "ignore",
  ".ignore",
  "gitignore",
  "hgignore",
  "npmignore",
  "inform7",
  "Inform 7",
  "ini",
  "Ini",
  "io",
  "Io",
  "j",
  "J",
  "java",
  "Java",
  "javadoc",
  "JavaDoc",
  "javadoclike",
  "JavaDoc-like",
  "javastacktrace",
  "Java stack trace",
  "jexl",
  "Jexl",
  "jolie",
  "Jolie",
  "jq",
  "JQ",
  "jsdoc",
  "JSDoc",
  "js-extras",
  "JS Extras",
  "json",
  "JSON",
  "webmanifest",
  "json5",
  "JSON5",
  "jsonp",
  "JSONP",
  "jsstacktrace",
  "JS stack trace",
  "js-templates",
  "JS Templates",
  "julia",
  "Julia",
  "keepalived",
  "Keepalived Configure",
  "keyman",
  "Keyman",
  "kotlin",
  "Kotlin",
  "kt",
  "kts",
  "kumir",
  "KuMir (КуМир)",
  "kum",
  "kusto",
  "Kusto",
  "latex",
  "LaTeX",
  "tex",
  "context",
  "latte",
  "Latte",
  "less",
  "Less",
  "lilypond",
  "LilyPond",
  "ly",
  "liquid",
  "Liquid",
  "lisp",
  "Lisp",
  "emacs",
  "elisp",
  "emacs-lisp",
  "livescript",
  "LiveScript",
  "llvm",
  "LLVM IR",
  "log",
  "Log file",
  "lolcode",
  "LOLCODE",
  "lua",
  "Lua",
  "magma",
  "Magma (CAS)",
  "makefile",
  "Makefile",
  "markdown",
  "Markdown",
  "md",
  "markup-templating",
  "Markup templating",
  "mata",
  "Mata",
  "matlab",
  "MATLAB",
  "maxscript",
  "MAXScript",
  "mel",
  "MEL",
  "mermaid",
  "Mermaid",
  "metafont",
  "METAFONT",
  "mizar",
  "Mizar",
  "mongodb",
  "MongoDB",
  "monkey",
  "Monkey",
  "moonscript",
  "MoonScript",
  "moon",
  "n1ql",
  "N1QL",
  "n4js",
  "N4JS",
  "n4jsd",
  "nand2tetris-hdl",
  "Nand To Tetris HDL",
  "naniscript",
  "Naninovel Script",
  "nani",
  "nasm",
  "NASM",
  "neon",
  "NEON",
  "nevod",
  "Nevod",
  "nginx",
  "nginx",
  "nim",
  "Nim",
  "nix",
  "Nix",
  "nsis",
  "NSIS",
  "objectivec",
  "Objective-C",
  "objc",
  "ocaml",
  "OCaml",
  "odin",
  "Odin",
  "opencl",
  "OpenCL",
  "openqasm",
  "OpenQasm",
  "qasm",
  "oz",
  "Oz",
  "parigp",
  "PARI/GP",
  "parser",
  "Parser",
  "pascal",
  "Pascal",
  "objectpascal",
  "pascaligo",
  "Pascaligo",
  "psl",
  "PATROL Scripting Language",
  "pcaxis",
  "PC-Axis",
  "px",
  "peoplecode",
  "PeopleCode",
  "pcode",
  "perl",
  "Perl",
  "php",
  "PHP",
  "phpdoc",
  "PHPDoc",
  "php-extras",
  "PHP Extras",
  "plant-uml",
  "PlantUML",
  "plantuml",
  "plsql",
  "PL/SQL",
  "powerquery",
  "PowerQuery",
  "pq",
  "mscript",
  "powershell",
  "PowerShell",
  "processing",
  "Processing",
  "prolog",
  "Prolog",
  "promql",
  "PromQL",
  "properties",
  ".properties",
  "protobuf",
  "Protocol Buffers",
  "pug",
  "Pug",
  "puppet",
  "Puppet",
  "pure",
  "Pure",
  "purebasic",
  "PureBasic",
  "pbfasm",
  "purescript",
  "PureScript",
  "purs",
  "python",
  "Python",
  "py",
  "qsharp",
  "Q#",
  "qs",
  "q",
  "Q (kdb+ database)",
  "qml",
  "QML",
  "qore",
  "Qore",
  "r",
  "R",
  "racket",
  "Racket",
  "rkt",
  "cshtml",
  "Razor C#",
  "razor",
  "jsx",
  "React JSX",
  "tsx",
  "React TSX",
  "reason",
  "Reason",
  "regex",
  "Regex",
  "rego",
  "Rego",
  "renpy",
  "Ren'py",
  "rpy",
  "rescript",
  "ReScript",
  "res",
  "rest",
  "reST (reStructuredText)",
  "rip",
  "Rip",
  "roboconf",
  "Roboconf",
  "robotframework",
  "Robot Framework",
  "robot",
  "ruby",
  "Ruby",
  "rb",
  "rust",
  "Rust",
  "sas",
  "SAS",
  "sass",
  "Sass (Sass)",
  "scss",
  "Sass (SCSS)",
  "scala",
  "Scala",
  "scheme",
  "Scheme",
  "shell-session",
  "Shell session",
  "sh-session",
  "shellsession",
  "smali",
  "Smali",
  "smalltalk",
  "Smalltalk",
  "smarty",
  "Smarty",
  "sml",
  "SML",
  "smlnj",
  "solidity",
  "Solidity (Ethereum)",
  "sol",
  "solution-file",
  "Solution file",
  "sln",
  "soy",
  "Soy (Closure Template)",
  "sparql",
  "SPARQL",
  "rq",
  "splunk-spl",
  "Splunk SPL",
  "sqf",
  "SQF: Status Quo Function (Arma 3)",
  "sql",
  "SQL",
  "squirrel",
  "Squirrel",
  "stan",
  "Stan",
  "stata",
  "Stata Ado",
  "iecst",
  "Structured Text (IEC 61131-3)",
  "stylus",
  "Stylus",
  "supercollider",
  "SuperCollider",
  "sclang",
  "swift",
  "Swift",
  "systemd",
  "Systemd configuration file",
  "t4-templating",
  "T4 templating",
  "t4-cs",
  "T4 Text Templates (C#)",
  "t4",
  "t4-vb",
  "T4 Text Templates (VB)",
  "tap",
  "TAP",
  "tcl",
  "Tcl",
  "tt2",
  "Template Toolkit 2",
  "textile",
  "Textile",
  "toml",
  "TOML",
  "tremor",
  "Tremor",
  "trickle",
  "troy",
  "turtle",
  "Turtle",
  "trig",
  "twig",
  "Twig",
  "typescript",
  "TypeScript",
  "ts",
  "typoscript",
  "TypoScript",
  "tsconfig",
  "unrealscript",
  "UnrealScript",
  "uscript",
  "uc",
  "uorazor",
  "UO Razor Script",
  "uri",
  "URI",
  "url",
  "v",
  "V",
  "vala",
  "Vala",
  "vbnet",
  "VB.Net",
  "velocity",
  "Velocity",
  "verilog",
  "Verilog",
  "vhdl",
  "VHDL",
  "vim",
  "vim",
  "visual-basic",
  "Visual Basic",
  "vb",
  "vba",
  "warpscript",
  "WarpScript",
  "wasm",
  "WebAssembly",
  "web-idl",
  "Web IDL",
  "webidl",
  "wgsl",
  "WGSL",
  "wiki",
  "Wiki markup",
  "wolfram",
  "Wolfram language",
  "mathematica",
  "nb",
  "wl",
  "wren",
  "Wren",
  "xeora",
  "Xeora",
  "xeoracube",
  "xml-doc",
  "XML doc (.net)",
  "xojo",
  "Xojo (REALbasic)",
  "xquery",
  "XQuery",
  "yaml",
  "YAML",
  "yml",
  "yang",
  "YANG",
  "zig",
  "Zig"
][number];

export type HighlightLanguageComponent = [
  "markup",
  "css",
  "clike",
  "javascript",
  "abap",
  "abnf",
  "actionscript",
  "ada",
  "agda",
  "al",
  "antlr4",
  "apacheconf",
  "apex",
  "apl",
  "applescript",
  "aql",
  "arduino",
  "arff",
  "armasm",
  "arturo",
  "asciidoc",
  "aspnet",
  "asm6502",
  "asmatmel",
  "autohotkey",
  "autoit",
  "avisynth",
  "avro-idl",
  "awk",
  "bash",
  "basic",
  "batch",
  "bbcode",
  "bbj",
  "bicep",
  "birb",
  "bison",
  "bnf",
  "bqn",
  "brainfuck",
  "brightscript",
  "bro",
  "bsl",
  "c",
  "csharp",
  "cpp",
  "cfscript",
  "chaiscript",
  "cil",
  "cilkc",
  "cilkcpp",
  "clojure",
  "cmake",
  "cobol",
  "coffeescript",
  "concurnas",
  "csp",
  "cooklang",
  "coq",
  "crystal",
  "css-extras",
  "csv",
  "cue",
  "cypher",
  "d",
  "dart",
  "dataweave",
  "dax",
  "dhall",
  "diff",
  "django",
  "dns-zone-file",
  "docker",
  "dot",
  "ebnf",
  "editorconfig",
  "eiffel",
  "ejs",
  "elixir",
  "elm",
  "etlua",
  "erb",
  "erlang",
  "excel-formula",
  "fsharp",
  "factor",
  "false",
  "firestore-security-rules",
  "flow",
  "fortran",
  "ftl",
  "gml",
  "gap",
  "gcode",
  "gdscript",
  "gedcom",
  "gettext",
  "gherkin",
  "git",
  "glsl",
  "gn",
  "linker-script",
  "go",
  "go-module",
  "gradle",
  "graphql",
  "groovy",
  "haml",
  "handlebars",
  "haskell",
  "haxe",
  "hcl",
  "hlsl",
  "hoon",
  "http",
  "hpkp",
  "hsts",
  "ichigojam",
  "icon",
  "icu-message-format",
  "idris",
  "ignore",
  "inform7",
  "ini",
  "io",
  "j",
  "java",
  "javadoc",
  "javadoclike",
  "javastacktrace",
  "jexl",
  "jolie",
  "jq",
  "jsdoc",
  "js-extras",
  "json",
  "json5",
  "jsonp",
  "jsstacktrace",
  "js-templates",
  "julia",
  "keepalived",
  "keyman",
  "kotlin",
  "kumir",
  "kusto",
  "latex",
  "latte",
  "less",
  "lilypond",
  "liquid",
  "lisp",
  "livescript",
  "llvm",
  "log",
  "lolcode",
  "lua",
  "magma",
  "makefile",
  "markdown",
  "markup-templating",
  "mata",
  "matlab",
  "maxscript",
  "mel",
  "mermaid",
  "metafont",
  "mizar",
  "mongodb",
  "monkey",
  "moonscript",
  "n1ql",
  "n4js",
  "nand2tetris-hdl",
  "naniscript",
  "nasm",
  "neon",
  "nevod",
  "nginx",
  "nim",
  "nix",
  "nsis",
  "objectivec",
  "ocaml",
  "odin",
  "opencl",
  "openqasm",
  "oz",
  "parigp",
  "parser",
  "pascal",
  "pascaligo",
  "psl",
  "pcaxis",
  "peoplecode",
  "perl",
  "php",
  "phpdoc",
  "php-extras",
  "plant-uml",
  "plsql",
  "powerquery",
  "powershell",
  "processing",
  "prolog",
  "promql",
  "properties",
  "protobuf",
  "pug",
  "puppet",
  "pure",
  "purebasic",
  "purescript",
  "python",
  "qsharp",
  "q",
  "qml",
  "qore",
  "r",
  "racket",
  "cshtml",
  "jsx",
  "tsx",
  "reason",
  "regex",
  "rego",
  "renpy",
  "rescript",
  "rest",
  "rip",
  "roboconf",
  "robotframework",
  "ruby",
  "rust",
  "sas",
  "sass",
  "scss",
  "scala",
  "scheme",
  "shell-session",
  "smali",
  "smalltalk",
  "smarty",
  "sml",
  "solidity",
  "solution-file",
  "soy",
  "sparql",
  "splunk-spl",
  "sqf",
  "sql",
  "squirrel",
  "stan",
  "stata",
  "iecst",
  "stylus",
  "supercollider",
  "swift",
  "systemd",
  "t4-templating",
  "t4-cs",
  "t4-vb",
  "tap",
  "tcl",
  "tt2",
  "textile",
  "toml",
  "tremor",
  "turtle",
  "twig",
  "typescript",
  "typoscript",
  "unrealscript",
  "uorazor",
  "uri",
  "v",
  "vala",
  "vbnet",
  "velocity",
  "verilog",
  "vhdl",
  "vim",
  "visual-basic",
  "warpscript",
  "wasm",
  "web-idl",
  "wgsl",
  "wiki",
  "wolfram",
  "wren",
  "xeora",
  "xml-doc",
  "xojo",
  "xquery",
  "yaml",
  "yang",
  "zig"
][number];
